## org.apache.batik.dom.svg
Class SVGOMRect

    java.lang.Object
      org.apache.batik.dom.svg.SVGOMRect

All Implemented Interfaces:
  SVGRect

public class SVGOMRect
extends java.lang.Object
implements SVGRect

Constructor Summary
`SVGOMRect()`
`SVGOMRect(float x, float y, float w, float h)`

Method Summary
`float` `getHeight()`
`float` `getWidth()`
`float` `getX()`
`float` `getY()`
`void` `setHeight(float height)`
`void` `setWidth(float width)`
`void` `setX(float x)`
`void` `setY(float y)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVGOMRect

    public SVGOMRect()

### SVGOMRect

    public SVGOMRect(float x,
                     float y,
                     float w,
                     float h)

Method Detail

### getX

    public float getX()

  Specified by:
    `getX` in interface `SVGRect`

### setX

    public void setX(float x)
              throws org.w3c.dom.DOMException

  Specified by:
    `setX` in interface `SVGRect`
  Throws:
    `org.w3c.dom.DOMException`

### getY

    public float getY()

  Specified by:
    `getY` in interface `SVGRect`

### setY

    public void setY(float y)
              throws org.w3c.dom.DOMException

  Specified by:
    `setY` in interface `SVGRect`
  Throws:
    `org.w3c.dom.DOMException`

### getWidth

    public float getWidth()

  Specified by:
    `getWidth` in interface `SVGRect`

### setWidth

    public void setWidth(float width)
                  throws org.w3c.dom.DOMException

  Specified by:
    `setWidth` in interface `SVGRect`
  Throws:
    `org.w3c.dom.DOMException`

### getHeight

    public float getHeight()

  Specified by:
    `getHeight` in interface `SVGRect`

### setHeight

    public void setHeight(float height)
                   throws org.w3c.dom.DOMException

  Specified by:
    `setHeight` in interface `SVGRect`
  Throws:
    `org.w3c.dom.DOMException`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.